PermuteDocs
Go to Permute

Memberships · organizationMembersInvite

Invite an organization member

Grants the specified organization role to the invited email and attempts to send an invitation. Requires a direct platform user session and current organization administration. Use the resend operation to send another email. New invitations and resends share a limit of 50 attempts per organization per 24 hours.

POST/v1/organizations/{organizationId}/members
betaplatformUserorganization

When to use

Grant someone access to the organization by email.

For agents

Requires the signed-in administrator’s direct platform access token.

Example

typescript
import { PermuteClient } from '@permute/sdk';

const client = new PermuteClient({ accessToken: async () => process.env.PERMUTE_ACCESS_TOKEN! });
const result = await client.organizationMembers.invite('org_acme123', {
  "email": "ada@example.com",
  "role": "member"
});

Request body

json
{
  "email": "ada@example.com",
  "role": "member"
}

Response

json
{
  "data": {
    "userId": "user_example",
    "email": "ada@example.com",
    "role": "member",
    "invitationSent": true
  }
}